<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
include $menu;
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>

<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11px; }
.fieldset
{
    width:700px;
	background: #F5F9F0;
	border:2px solid green;
    -moz-border-radius:8px;
    -webkit-border-radius:8px;	
    border-radius:8px;	
}
</style>
</head>
<body>

<?php
require "dbconnect.php";
$dt=$_SESSION['dt'];
$usr=$_SESSION['usr'];
$nameresp=$_SESSION['n'];

if (isset($_GET['data'])) {	$arn=$_GET['data'];}

$sql = mysqli_query($con,"SELECT * FROM epidiorthosi WHERE id='$arn' " );
        $row = mysqli_fetch_array($sql);
        $pmp=$row['pmp'];
		$sqlx = mysqli_query($con,"SELECT Name FROM teachers WHERE PMP='$pmp' " );
        $rowx = mysqli_fetch_array($sqlx);
		$name=$rowx['Name'];
		$room=$row['room'];	
		$datein= $row['datein'];
		$pmpresp=$row['pmpresp'];
		$perigrafi=$row['perigrafi'];
		$datefixed = $row['datefixed'];
		$energies=$row['energies'];
		$status=$row['status'];
		$edpr=$row['problemwith'];
        switch ($edpr) 
		{
        case '1':
           $edpr1="checked";
            break;
        case '2':
            $edpr2="checked";
             break;
        }		
		if ($status == 1){$selc="checked";} else {$selc="";}
	

	

?>
<h3>ΛΕΠΤΟΜΕΡΕΙΕΣ ΑΝΑΦΟΡΑΣ:</h3>

<form method="post" name = "form1"  >
<fieldset fieldset class="fieldset" >
<legend> ΑΝΑΦΟΡΑ ΠΡΟΒΛΗΜΑΤΟΣ </legend>
<p>ΑΡ. ΑΝΑΦΟΡΑΣ:<input type='text'  name='arn' value="<?php echo $arn; ?>" size=3  />
&nbsp&nbsp&nbsp&nbspΑΝΑΦΟΡΑ ΑΠΟ:<input type='text'  value="<?php echo $name;?>" size=30  /></p>
<p>ΗΜΕΡΟΜΗΝΙΑ:<input type="text"  value =<?php echo $datein; ?>  >
&nbsp&nbsp&nbsp&nbspΑΡ. ΑΙΘΟΥΣΑΣ:<input type="text"   value="<?php echo $room;?>" size=4 /></p>
<fieldset style="width:500px"><legend>ΕΙΔΟΣ ΠΡΟΒΛΗΜΑΤΟΣ:</legend>
<Input type = 'Radio' name ='edpr' <?php echo $edpr1;?> value= '1' >ΗΛΕΚΤΡΟΝΙΚΟΣ (Η/Υ,Εκτυπωτής,Προβολ.,Διαδίκτυο) <br>
<Input type = 'Radio' name ='edpr' <?php echo $edpr2;?> value= '2' >ΑΙΘΟΥΣΑΣ (Έπιπλα,Κουρτίνες,Ηλεκτρισμός,άλλα)
</fieldset></p> 
<p>ΠΕΡΙΓΡΑΦΗ:<br>
<textarea name='perigrafi' cols='80' rows='4'><?php echo $perigrafi;?></textarea ></p>

</fieldset><br>
<fieldset fieldset class="fieldset" >
<legend> ΕΠΙΛΥΣΗ ΠΡΟΒΛΗΜΑΤΟΣ </legend>
<?php
		$time=date("H:m");
		$date=$date= date("Y-m-d");
		$datefixed= $date."T".$time;
?>
<p>ΗΜΕΡ. ΕΠΙΛΥΣΗΣ:<input type="datetime-local"  name = 'datefixed' value =<?php echo $datefixed; ?>  >
 ΥΠΕΥΘΥΝΟΣ: <input type='text'  name= 'nameresp' value="<?php echo $nameresp; ?>" size=30 /></p>
<p>ΕΝΕΡΓΕΙΕΣ:<br>
<textarea name='energies' cols='80' rows='4'><?php echo $energies;?></textarea ></p>
<p>ΟΛΟΚΛΗΡΩΘΗΚΕ:<input type='checkbox'  name='status' value=<?php echo '1';?>  <?php echo $selc;?>   /></p>
<input type="hidden"  name = 'pmpresp' value =<?php echo $pmpresp; ?>  >
<br>
<input type='Submit' name='submitpr' value='ΚΑΤΑΧΩΡΗΣΗ ' >
</fieldset>
</form>	
<?php
if (isset($_POST['submitpr']))
{
    $arn=$_POST['arn'];
	$room=$_POST['room'];	
    $datein= $_POST['datein'];
    $pmpresp=$_POST['pmpresp'];
	$problemwith=$_POST['edpr'];
    $perigrafi=$_POST['perigrafi'];
    $datefixed = $_POST['datefixed'];
    $energies=$_POST['energies'];
    $status=$_POST['status'];
	$sql = "UPDATE epidiorthosi SET pmpresp='$usr',problemwith='$problemwith',energies='$energies',status='$status' where id='$arn'  ";
    if (mysqli_query($con, $sql)) {
     echo "<script>
     alert('Η ΚΑΤΑΧΩΡΗΣΗ ΕΓΙΝΕ ΜΕ ΕΠΙΤΥΧΙΑ!');
     window.location.href='$menu';
     </script>";
    } else {
          echo "Πρόβλημα: " . mysqli_error($con);
    }
}

mysqli_close($con);	

?>
<br /><br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού  </a>

</body>
</html>